{"Comment":"/**\n * This file is a schema that defines the jsonddl schema.\n * \u003cp\u003e\n * The var declaration at the top isn\u0027t actually important to the parser, but it\n * does make the schema a valid JavaScript program.\n */","Models":{"EnumValue":{"DialectProperties":{},"Name":"EnumValue","Properties":[{"Name":"comment","Type":{"Kind":"STRING"}},{"Name":"name","Type":{"Kind":"STRING"}}]},"Kind":{"Comment":"/**\n   * This is a simplified type system, representing only the types of data that\n   * can be directly expressed in JSON.\n   */","EnumValues":[{"Name":"BOOLEAN"},{"Name":"DDL"},{"Name":"DOUBLE"},{"Name":"ENUM"},{"Name":"EXTERNAL"},{"Name":"INTEGER"},{"Name":"LIST"},{"Name":"MAP"},{"Name":"STRING"}],"Name":"Kind"},"Model":{"Comment":"/**\n   * A model represents a single kind of object within the schema. There is a\n   * 1:1 correspondence between Models and Java classes or JS type closures.\n   */","DialectProperties":{},"Name":"Model","Properties":[{"Name":"comment","Type":{"Kind":"STRING"}},{"Comment":"/**\n     * A two-level map that breaks out per-dialect properties to be consumed by\n     * the dialect code-generators.\n     */","Name":"dialectProperties","Type":{"Kind":"MAP","MapKey":{"Kind":"STRING"},"MapValue":{"Kind":"MAP","MapKey":{"Kind":"STRING"},"MapValue":{"Kind":"STRING"}}}},{"Name":"enumValues","Type":{"Kind":"LIST","ListElement":{"Name":"EnumValue","Kind":"DDL"}}},{"Name":"name","Type":{"Kind":"STRING"}},{"Name":"properties","Type":{"Kind":"LIST","ListElement":{"Name":"Property","Kind":"DDL"}}}]},"Property":{"Comment":"/**\n   * A property is a pair of a name and a type.\n   */","DialectProperties":{},"Name":"Property","Properties":[{"Comment":"/**\n     * This comment will be stored in this property.\n     */","Name":"comment","Type":{"Kind":"STRING"}},{"Name":"name","Type":{"Kind":"STRING"}},{"Name":"type","Type":{"Name":"Type","Kind":"DDL"}}]},"Schema":{"Comment":"/**\n   * A Schema is the top-level object that encapsulates the normalized form of a\n   * json-ddl schema.\n   */","DialectProperties":{},"Name":"Schema","Properties":[{"Comment":"/**\n     * General information about the schema itself.\n     */","Name":"comment","Type":{"Kind":"STRING"}},{"Comment":"/**\n     * A map of object models by simple name.\n     */","Name":"models","Type":{"Kind":"MAP","MapKey":{"Kind":"STRING"},"MapValue":{"Name":"Model","Kind":"DDL"}}}]},"Type":{"Comment":"/**\n   * A specific Kind and parameterization thereof.\n   */","DialectProperties":{},"Name":"Type","Properties":[{"Name":"name","Type":{"Kind":"STRING"}},{"Name":"kind","Type":{"Name":"Kind","Kind":"ENUM"}},{"Name":"listElement","Type":{"Name":"Type","Kind":"DDL"}},{"Name":"mapKey","Type":{"Name":"Type","Kind":"DDL"}},{"Name":"mapValue","Type":{"Name":"Type","Kind":"DDL"}}]}}}